import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ResetPConnectService {
    private subject;
    /**
     * function to reset pConnect
     * @param bReset - true: reset pconnect, false - do nothing
     * @param sType - what causing the reset, so far (cancel, finishAssignment)
     */
    sendMessage(bReset: boolean, sType: string): void;
    clearMessage(): void;
    getMessage(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResetPConnectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ResetPConnectService>;
}
